$ErrorActionPreference = 'Stop';

$packageName = 'TcpView'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'https://download.sysinternals.com/files/TCPView.zip'
$url64      = 'https://download.sysinternals.com/files/TCPView.zip'

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  url           = $url
  url64bit      = $url64

  checksum      = '1c58809efb63c9ad248df24670085ad1c132908b021bbd55f0982280e87e4ab0'
  checksumType  = 'sha256'
  checksum64    = '1c58809efb63c9ad248df24670085ad1c132908b021bbd55f0982280e87e4ab0'
  checksumType64= 'sha256'
}

Install-ChocolateyZipPackage @packageArgs

Write-Verbose "Accepting license..."
$regRoot = 'HKCU:\Software\Sysinternals'
$regPkg = 'TcpView'
$regPath = Join-Path $regRoot $regPkg
if (!(Test-Path $regRoot)) {New-Item -Path "$regRoot"}
if (!(Test-Path $regPath)) {New-Item -Path "$regRoot" -Name "$regPkg"}
Set-ItemProperty -Path "$regPath" -Name EulaAccepted -Value 1
if ((Get-ItemProperty -Path "$regPath").EulaAccepted -ne 1) {
  throw "Failed setting registry value."
}
